<?php use_helper('UrlFunctions');
use_helper('UtilFunctions'); ?>
<?php
//ini_set('display_errors', 1);
header("Content-Type: text/html; charset=iso-8859-1");

function lineaPedido( $s_tipo, $s_codigo, $i_row, $i_IdRegAlmacenado )
{
	$i_IdColaborador = myUser::getUser()->getIdColaborador();
	$o_PrestamoBN = null;
	
	//Buscar el filtro de mercados de ese representante
	
	//Filtro por Mercado
	
	$o_MercadoRepresentanteBean = new MercadoRepresentanteBean();
	$o_MercadoRepresentanteBean->setIdColaborador(myUser::getUser()->getIdColaborador());
	
	$o_MercadoRepresentanteBL = new MercadoRepresentanteBL();
	$a_o_MercadoRepresentante = $o_MercadoRepresentanteBL->busquedaMercadoRepresentanteDetalle($o_MercadoRepresentanteBean);
	
	if(is_array($a_o_MercadoRepresentante) && count($a_o_MercadoRepresentante) >0){
		foreach ($a_o_MercadoRepresentante as $key => $o_MercadoRepresentante){
			$a_mercadosAsignados[] = $o_MercadoRepresentante->getIdMercado();
		}
	}else{
		$a_mercadosAsignados[] = '0';
	}
	
	
	$o_PrestamoBean = new PrestamoBean();
	
	$o_PrestamoBean->setIdMercados($a_mercadosAsignados);
	
    switch ( $s_tipo )
    {
        case '1':
            $o_PrestamoBean->setIdCliente($s_codigo);
            
            //info cliente del mercado de ese representante
                     
            $o_ClienteBean = new ClienteBean();
            $o_ClienteBean->setIdCliente($s_codigo);
            $o_ClienteBean->setFiltroMercado($a_mercadosAsignados);
            $o_ClienteDP = new ClienteDP($o_ClienteBean);
		    $a_o_ClienteBN = $o_ClienteDP->select();
            
            if(is_array($a_o_ClienteBN))
            {
                $o_ClienteBN = $a_o_ClienteBN[0];
            }
            
        break;
        case '2':
        	$o_PrestamoBeanT =  new PrestamoBean();
        	$o_PrestamoBeanT->setIdPrestamo($s_codigo);
        	$o_PrestamoBeanT->setIdMercados($a_mercadosAsignados);
        	$o_PrestamoDPT = new PrestamoDP($o_PrestamoBeanT);
        	$a_prestamosDP = $o_PrestamoDPT->select(); 
        	if(!is_array($a_prestamosDP)){
        		$s_codigo = '-1';
        	}
            $o_PrestamoBean->setIdPrestamo($s_codigo);
        break;
    }
    
    $o_PrestamoBL = new PrestamoBL();
    $o_PrestamoBN = $o_PrestamoBL->busquedaPrestamo($o_PrestamoBean);
    if(is_array($o_PrestamoBN))
    {
        $o_PrestamoBN = $o_PrestamoBN[0];
    }elseif(is_object($o_ClienteBN)){
    	$o_PrestamoBN = new PrestamoBean();
    	$o_PrestamoBN->setIdCliente($s_codigo);
    }
    
    if( $o_PrestamoBN )
    {
        $s_EstadoDetalle = "P";
                $s_Estado = $o_PrestamoBN->getEstado();
                $s_Origen = $o_PrestamoBN->getOrigen();
                $s_GastoAdministrativo = is_null($o_PrestamoBN->getGastoAdministrativo()) ? "0" : $o_PrestamoBN->getGastoAdministrativo();
                $s_InteresPorcentaje = is_null($o_PrestamoBN->getInteresPorcentaje()) ? "0" : $o_PrestamoBN->getInteresPorcentaje();
                $s_MontoPrestado = is_null($o_PrestamoBN->getMontoPrestado()) ? "0" : $o_PrestamoBN->getMontoPrestado();
                $s_SaldoPrestamo = is_null($o_PrestamoBN->getSaldoPrestamo()) ? "0" : $o_PrestamoBN->getSaldoPrestamo();
                
                //info cliente
                $s_IdCliente = $o_PrestamoBN->getIdCliente();
                $o_ClienteBean = new ClienteBean();
                $o_ClienteBean->setIdCliente($s_IdCliente);
                $o_ClienteBL = new ClienteBL();
                $o_ClienteBN = $o_ClienteBL->busquedaCliente($o_ClienteBean);
                if(is_array($o_ClienteBN))
                {
                    $o_ClienteBN = $o_ClienteBN[0];
                    $s_IdCliente = $o_ClienteBN->getIdCliente();
                }
                //////////////
                //Cta Pds
                $o_PrestamoBean = new PrestamoBean();
                $o_PrestamoBean->setIdCliente($s_IdCliente);
                $o_PrestamoBean->setEstado('P');
                $o_PrestamoBL = new PrestamoBL();
                $a_TmpPrestamo = $o_PrestamoBL->busquedaPrestamo($o_PrestamoBean);
                $i_CountPrtmoPdt = count( $a_TmpPrestamo );
                /////////
    ?>
                                    <div style="width: 30px;">
                                        <?php if( $i_IdRegAlmacenado != "" ){ ?>
                                        <input row="<?php echo $i_row ?>" type="checkbox" name="checkbox[]" id="checkbox_<?php echo $i_row ?>" value="<?php echo $i_IdRegAlmacenado ?>"/>
                                        <?php }else{ ?>
                                        <input row="<?php echo $i_row ?>" type="checkbox" name="checkbox[]" id="checkbox_<?php echo $i_row ?>" value=""/>
                                        <?php } ?>
                                        <input type="hidden" name="registro_id[]" id="registro_id_<?php echo $i_row ?>" value=""/>
                                    </div>
                                    <div style="width: 95px;">
                                        <select class="combo" id="tipo_<?php echo $i_row ?>" name="tipo[]">
                                            <option value="1" <?php if($s_tipo=="1"){ echo "SELECTED"; } ?>> Cod Cliente </option>
                                            <option value="2" <?php if($s_tipo=="2"){ echo "SELECTED"; } ?>> Cod Prestamo </option>
                                        </select>
                                    </div>
                                    <div style="width: 65px;">
                                        <?php if( $s_EstadoDetalle != "P" ){ ?>
                                        <input readonly style="width:80%;" type="text" class="text text0" id="codigo_<?php echo $i_row ?>" name="codigo[]" value="<?php echo $s_codigo ?>"/>
                                        <input type="button" value="..." class="button" style="width:20%;"/>
                                        <?php }else{ ?>
                                        <input onkeyup="validar_letra(event,'number');" style="width:80%;" type="text" class="text" id="codigo_<?php echo $i_row ?>" name="codigo[]" value="<?php echo $s_codigo ?>" onblur="validacionesCodigo(this,'<?php echo $i_row ?>');actualizarRegistro( 'row_<?php echo $i_row ?>', $('tipo_<?php echo $i_row ?>').value, $('codigo_<?php echo $i_row ?>').value, '<?php echo $i_row ?>' )" onclick="this.select();"/>
                                        <input type="button" value="..." class="button" style="width:20%;" onclick="actualizarRegistro( 'row_<?php echo $i_row ?>', $('tipo_<?php echo $i_row ?>').value, $('codigo_<?php echo $i_row ?>').value, '<?php echo $i_row ?>' )" />
                                        <?php } ?>
                                        <input type="hidden" id="nombre_completo_<?php echo $i_row ?>" name="nombre_completo[]" value="<?php echo $o_ClienteBN->getNombreCompleto() ?>"/>
                                        <input type="hidden" id="s_estadoDetalle_<?php echo $i_row ?>" name="s_estadoDetalle[]" value="P"/>
                                    </div>
                                    <div style="width: 190px;">
                                        <table><tr><td><label style="cursor:pointer;text-decoration:underline;color:#00f" onclick="objMainTab.modalDialog('<?php echo buildUrl( 'ajax/requestPdo', 's_TypeRequest=infopopupprestamo&i_idcliente='.$s_IdCliente.'&s_tipo=' )?>',{width:700,height:400})"><?php echo $o_ClienteBN->getNombreCompleto() ?></label></td></tr></table>
                                    </div>
                                    <div style="width: 45px;"><table><tr><td><?php echo $s_Estado ?></td></tr></table></div>
                                    <div style="width: 45px;"><table><tr><td><?php echo $s_Origen ?></td></tr></table></div>
                                    <div style="width: 45px;"><table><tr><td><?php echo $s_GastoAdministrativo ?></td></tr></table></div> <!--gastos administrativos-->
                                    <div style="width: 35px;"><table><tr><td><?php echo $s_InteresPorcentaje ?></td></tr></table></div>
                                    <div style="width: 75px;"><table><tr><td><?php echo $s_MontoPrestado ?></td></tr></table></div>
                                    <div style="width: 75px;"><table><tr><td><?php echo $s_SaldoPrestamo ?></td></tr></table></div>
                                    <div style="width: 75px;">
                                    	<?php if($i_CountPrtmoPdt > 0){?>
                                        <table><tr><td><label style="cursor:pointer;text-decoration:underline;color:#00f" onclick="objMainTab.modalDialog('<?php echo buildUrl( 'ajax/requestPdo', 's_TypeRequest=infopopupprestamo&i_idcliente='.$s_IdCliente.'&s_tipo=2' )?>',{width:700,height:400})"><?php echo $i_CountPrtmoPdt ?></label></td></tr></table>
                                        <?php }else{ echo "0";}?>
                                        
                                    </div>
                                    <div style="width: 75px;">
                                        <?php if( $s_EstadoDetalle != "P" ){ ?>
                                        <input type="text" class="text text0" id="monto_<?php echo $i_row ?>" name="monto[]" value="<?php echo $f_MontoPrestado ?>" title="No se puede editar por ser evaluado." readonly/>
                                        <?php }else{ ?>
                                        <input type="text" class="text" id="monto_<?php echo $i_row ?>" name="monto[]" value="<?php echo $f_MontoPrestado ?>"/>
                                        <?php } ?>
                                    </div>
                                    <div style="width: 65px;"><input type="text" class="text" id="gastos_<?php echo $i_row ?>" name="gastos[]" value=""/></div>
                                    <div style="width: 75px;">
                                        <select class="combo"  id="porcentaje_<?php echo $i_row ?>" name="porcentaje[]">
                                            <option value=""> Seleccione </option>
                                            <?php for ($i=1; $i<27; $i++){ ?>
                                            <option value="<?php echo $i ?>"> <?php echo $i ?> </option>
                                            <?php } ?>
                                        </select>
                                    </div>
                                    <div style="width: 75px;">
                                        <select class="combo"  id="duracion_<?php echo $i_row ?>" name="duracion[]">
                                            <option value=""> Seleccione </option>
                                            <option value="7">7 Dias</option>
                                            <option value="15">15 Dias</option>
                                            <option value="30">30 Dias</option>
                                            <option value="45">45 Dias</option>
                                            <option value="60">60 Dias</option>
                                            <option value="75">75 Dias</option>
                                            <option value="90">90 Dias</option>
                                        </select>
                                    </div>
                                    <div style="width: 75px;">
                                        <select class="combo" id="periocidad_<?php echo $i_row ?>" name="periocidad[]">
                                            <option value=""> Seleccione </option>
                                            <option value="D">Diario</option>
                                            <option value="S">Semanal</option>
                                            <option value="Q">Quincenal</option>
                                            <option value="M">Mensual</option>
                                        </select>
                                    </div>
    <?php
    }
    else 
    {
        ?>
                                    <div style="width: 30px;">
                                        <input row="<?php echo $i_row ?>" type="checkbox" name="checkbox_id[]" id="checkbox_<?php echo $i_row ?>" value=""/>
                                        <input type="hidden" name="registro_id[]" id="registro_id_<?php echo $i_row ?>" value=""/>
                                    </div>
                                    <div style="width: 95px;">
                                        <select class="combo" style="width:100%;" id="tipo_<?php echo $i_row ?>" name="tipo[]">
                                            <option value="1" <?php if($s_tipo=="1"){ echo "SELECTED"; } ?>> Cod Cliente </option>
                                            <option value="2" <?php if($s_tipo=="2"){ echo "SELECTED"; } ?>> Cod Prestamo </option>
                                        </select>
                                    </div>
                                    <div style="width: 65px;">
                                        <input type="text"  onkeyup="validar_letra(event,'number');" onblur="actualizarRegistro( 'row_<?php echo $i_row ?>', $('tipo_<?php echo $i_row ?>').value, $('codigo_<?php echo $i_row ?>').value, '<?php echo $i_row ?>' )" class="text" style="width:80%;" id="codigo_<?php echo $i_row ?>" name="codigo[]" value=""/>
                                        <input type="button" value="..." class="button" style="width:20%;" onclick="actualizarRegistro( 'row_<?php echo $i_row ?>', $('tipo_<?php echo $i_row ?>').value, $('codigo_<?php echo $i_row ?>').value, '<?php echo $i_row ?>' )" />
                                    </div>
                                    <div style="width: 190px;">&nbsp</div>
                                    <div style="width: 45px;">&nbsp</div>
                                    <div style="width: 45px;">&nbsp</div>
                                    <div style="width: 45px;">&nbsp</div>
                                    <div style="width: 75px;">&nbsp</div>
                                    <div style="width: 75px;">&nbsp</div>
                                    <div style="width: 75px;">&nbsp</div>
                                    <div style="width: 75px;">&nbsp</div>
                                    <div style="width: 75px;">&nbsp</div>
                                    <div style="width: 65px;">&nbsp</div>
                                    <div style="width: 75px;">&nbsp</div>
                                    <div style="width: 75px;">&nbsp</div>
                                    <div style="width: 75px;">&nbsp</div>
                                    <script> alert("no se encontro registro."); </script>
        <?php
    }
}
if($s_TypeRequest == "lineaPedido")
{
    ViewResponse::getInstance()->setMethodAjax();
    lineaPedido( $s_tipo, $s_codigo, $i_row, $i_IdRegAlmacenado );
}

function eliminarlinea( $i_idpedidodetalle, $i_row )
{
    $o_CrPedidodetalleFN = new CrPedidodetalleFN();
    $o_CrPedidodetalleFN->setIdpedidodetalle( $i_idpedidodetalle );
    $o_CrPedidodetalleBN = $o_CrPedidodetalleFN->selectByPK();
    if( $o_CrPedidodetalleBN )
    {
        $s_Estado = $o_CrPedidodetalleBN->getEstado();
        if( $s_Estado <> 'P' )
        {
            ?>
            <script>
            alert("No se puede eliminar la linea.")
            </script>
            <?php
        }
        else 
        {
            $o_CrPedidodetalleDP = new CrPedidodetalleDP();
            $o_CrPedidodetalleDP->setIdpedidodetalle($i_idpedidodetalle);
            $b_result = $o_CrPedidodetalleDP->delete();
            if( $b_result )
            {
                ?>
                <script>
               	 eliminarLineaDet( '<?php echo $i_row ?>' );
                </script>
                <?php
            }
        }
    }
}
if($s_TypeRequest == "eliminarlinea")
{
    ViewResponse::getInstance()->setMethodAjax();
    eliminarlinea( $i_idpedidodetalle, $i_row );
}

function infopopupprestamo( $i_idcliente, $s_tipo )
{
    $o_PrestamoBean = new PrestamoBean();
    $o_PrestamoBean->setIdCliente($i_idcliente);
    if( $s_tipo != "" )
    {
        $o_PrestamoBean->setEstado('P');
    }
    $o_PrestamoBL = new PrestamoBL();
    $a_Prestamo = $o_PrestamoBL->busquedaPrestamo($o_PrestamoBean);
    
    $s_IdCliente = $i_idcliente;
    $o_ClienteBean = new ClienteBean();
    $o_ClienteBean->setIdCliente($s_IdCliente);
    $o_ClienteBL = new ClienteBL();
    $o_ClienteBN = $o_ClienteBL->busquedaCliente($o_ClienteBean);
    if(is_array($o_ClienteBN))
    {
        $o_ClienteBN = $o_ClienteBN[0];
    }
    $s_NombreCompleto = $o_ClienteBN->getNombreCompleto();
    if($o_ClienteBN->getIdmercado()){
    	$o_mercadoBN = new MercadoBean();
    	$o_mercadoBN->setIdmercado($o_ClienteBN->getIdmercado());
    	$o_mercadoFN = new MercadoDP($o_mercadoBN);
    	$o_mercadoFN = $o_mercadoFN->selectbyPk();
    	$o_mercado = $o_mercadoFN[0];
    }
    
    $s_NombreMercado = $o_mercado->getDescripcion();
    
  
        ?>
        <div id="container">
          <table width="100%" cellspacing="0" cellpadding="0" border="0" class="marco">
            <tr>
              <td height="17" align="left" class="pager">
                <label>Cliente :</label> <label class="req" ><?php echo $s_NombreCompleto ?></label>
              </td>
            </tr>
            <tr>
              <td height="17" align="left" class="pager">
                <label>Mercado :</label> <label class="req" ><?php echo $s_NombreMercado ?></label>
              </td>
            </tr>
            <tr>
              <td>
                <table width="100%" cellspacing="0" cellpadding="0" border="0" class="grid">
                  <tr height="23">
                    <th nowrap="nowrap" width="3%">&nbsp;</th>
                    <th nowrap="nowrap" width="10%">N.Pre.</th>
                    <th nowrap="nowrap" width="10%">Capital</th>
                    <th nowrap="nowrap" width="10%">M.Interes</th>
                    <th nowrap="nowrap" width="10%">M. Total</th>
                    <th nowrap="nowrap" width="10%">Monto Cuota</th>
                    <th nowrap="nowrap" width="10%">Saldo</th>
                    <th nowrap="nowrap" width="10%">F.Inicio</th>
                    <th nowrap="nowrap" width="10%">F.Fin</th>
                    <th nowrap="nowrap" width="10%">U.Registro</th>
                  </tr>
                  <?php if( $a_Prestamo ) { ?>
                    <?php foreach ( $a_Prestamo as $i_Key => $o_PrestamoBN ){ ?>
                  <tr>
                    <td align="center"><?php echo ($i_Key + 1) ?></td>
                    <td align="center">
                        <label style="cursor:pointer;text-decoration:underline;color:#00f;" onclick="parent.parent.objMainTab.modalDialog('<?=buildUrl( 'pdo/estadoCuenta', 'block=001&id='.$o_PrestamoBN->getIdPrestamo() )?>',{width:700,height:400})">
                            <?php echo $o_PrestamoBN->getIdPrestamo() ?>
                        </label>
                    </td>
                    <td align="right"><?php echo number_format($o_PrestamoBN->getMontoPrestado(),2,'.',''); ?></td>
                    <td align="right"><?php echo number_format($o_PrestamoBN->getInteresMonto(),2,'.','') ?></td>
                    <td align="right"><?php echo number_format($o_PrestamoBN->getMontoTotal(),2,'.','') ?></td>
                    <td align="right"><?php echo number_format($o_PrestamoBN->getCuotaPago(),2,'.','') ?></td>
                    <td align="right"><?php echo number_format($o_PrestamoBN->getSaldoPrestamo(),2,'.','')?></td>
                    <td align="center"><?php echo $o_PrestamoBN->getFechaInicio() ?></td>
                    <td align="center"><?php echo $o_PrestamoBN->getFechaVencimiento() ?></td>
                    <td align="center"><?php echo $o_PrestamoBN->getUsuarioCreacion() ?></td>
                  </tr>
                    <?php } ?>
                  <?php } ?>
                </table>
              </td>
            </tr>
            <tr>
              <td>Total Registros: <?php echo count($a_Prestamo) ?></td>
            </tr>
          </table>
        </div>
        
        <?php
    
}
if($s_TypeRequest == "infopopupprestamo")
{
    infopopupprestamo( $i_idcliente, $s_tipo );
}

function crearNuevoPrestamo( $i_Idpedidodetalle, $i_row )
{
    $o_PrestamoBean = new PrestamoBean();
    $o_PrestamoBean->setIdPedidoReferencia( $i_Idpedidodetalle );
    $o_PrestamoBL = new PrestamoBL();
    $b_result = $o_PrestamoBL->generarPrestamoToPedido( $o_PrestamoBean );
    if( $b_result )
    {
    	$o_pedidoDetalleFN = new CrPedidodetalleFN();
    	$o_pedidoDetalleFN->setIdpedidodetalle($i_Idpedidodetalle);
    	$a_pedidodetalle = $o_pedidoDetalleFN->select();
    	if(is_array($a_pedidodetalle)){
    		foreach ($a_pedidodetalle as $key =>$o_pedidodetalle){
    			$idpedidoCabecera = $o_pedidodetalle->getIdpedidocabecera();
    			$montoprestado = $o_pedidodetalle->getMontoprestado();
    			$o_pedidCabeceraFN = new CrPedidocabeceraFN();
    			$o_pedidCabeceraFN->setIdpedidocabecera($idpedidoCabecera);
    			$a_pedidocabecera = $o_pedidCabeceraFN->select();
    			if(is_array($a_pedidocabecera)){
    				
    				foreach ($a_pedidocabecera as $keyc =>$o_pedidocabecera){
    					$montoentregado = $o_pedidocabecera->getMontoentregado();
    					$o_pedidCabeceraDP = new CrPedidocabeceraDP();
    					$o_pedidCabeceraDP->setIdpedidocabecera($idpedidoCabecera);
    					$o_pedidCabeceraDP->setMontoentregado(number_format($montoentregado+$montoprestado,2,'.',''));		
    					$o_pedidCabeceraDP->update();
    				}
    			}
    	
    			
    			
    		}
    	}
        ?>
                <script>
                    alert( "Se genero el prestamo satisfactoriamente." );
                    actualizarBotonPorTipo( '<?php echo $i_Idpedidodetalle ?>', '2', '<?php echo $i_row ?>' );
                </script>
        <?php
    }
    else
    {
        ?>
                <script>
                    alert( "No se pudo generar el prestamo" );
                </script>
        <?php
    }
}
if( $s_TypeRequest == "crearNuevoPrestamo" )
{
	if(myUser::getUser()->getRoleId() != "sys.ope"){
		?>
		<script>
			noPermisos();
		</script>
		<?php
		exit;
		
	}
	if($i_Idpedidodetalle){
		$o_pedidoDetalleFN = new CrPedidodetalleFN();
    	$o_pedidoDetalleFN->setIdpedidodetalle($i_Idpedidodetalle);
    	$a_pedidodetalle = $o_pedidoDetalleFN->select();
    	if(is_array($a_pedidodetalle)){
    		foreach ($a_pedidodetalle as $key =>$o_pedidoDetalle){
    			$idpedidoCabecera = $o_pedidoDetalle->getIdpedidocabecera();
				$idcliente = $o_pedidoDetalle->getIdCliente();//***
    			$o_pedidCabeceraFN = new CrPedidocabeceraFN();
    			$o_pedidCabeceraFN->setIdpedidocabecera($idpedidoCabecera);
    			$a_pedidocabecera = $o_pedidCabeceraFN->select();
    			if(is_array($a_pedidocabecera)){
    				foreach ($a_pedidocabecera as $keyc =>$o_pedidocabecera){
    					$estado = $o_pedidocabecera->getEstado();
    					
    					
    				}
    			}
    	
    			
    			
    		}
    	}
	    if($estado && $estado == "P"){
			if($idcliente){
	    		$o_ClienteBean = new ClienteBean();
	    		$o_ClienteBean->setIdCliente($idcliente);
	    		$o_ClienteDP = new ClienteDP($o_ClienteBean);
	    		$a_o_clieneteDP = $o_ClienteDP->select();
	    		if(is_array($a_o_clieneteDP)){
	    			foreach ($a_o_clieneteDP as $key => $o_clieneteDP){
	    				$idMercado = $o_clieneteDP->getIdmercado();
	    			}
	    		}
	    		
	    		$f_Permiso = getPermisoColaboradorMercadoAjax(myUser::getUser()->getIdColaborador(),$idMercado);
	    	}
	    	if($f_Permiso){
	    		crearNuevoPrestamo( $i_Idpedidodetalle, $i_row );
	    	}else{
	    		?>
				<script>
					noPermisos();
				</script>
				<?php			
			exit;
	    	}
    	}else{
    		?>
    		 <script>
                actualizarError();
            </script>
    		<?php 
    	}
	}
}

if( $s_TypeRequest == "NoEntreguePedido" )
{
	if($i_Idpedidodetalle){
		$o_pedidoDetalleFN = new CrPedidodetalleFN();
    	$o_pedidoDetalleFN->setIdpedidodetalle($i_Idpedidodetalle);
    	$a_pedidodetalle = $o_pedidoDetalleFN->select();
    	if(is_array($a_pedidodetalle)){
    		foreach ($a_pedidodetalle as $key =>$o_pedidoDetalle){
    			$idpedidoCabecera = $o_pedidoDetalle->getIdpedidocabecera();
    			$o_pedidCabeceraFN = new CrPedidocabeceraFN();
    			$o_pedidCabeceraFN->setIdpedidocabecera($idpedidoCabecera);
    			$a_pedidocabecera = $o_pedidCabeceraFN->select();
    			if(is_array($a_pedidocabecera)){
    				foreach ($a_pedidocabecera as $keyc =>$o_pedidocabecera){
    					$estado = $o_pedidocabecera->getEstado();
    					
    					
    				}
    			}
    		}
    		
    	}
	    if($estado && $estado == "P"){
	    	$o_pedidoDetalleDP = new CrPedidodetalleDP();
	    	$o_pedidoDetalleDP->setIdpedidodetalle($i_Idpedidodetalle);
	    	$o_pedidoDetalleDP->setEntregado('-1');
	    	$o_pedidoDetalleDP->update();
			 ?>
                <script>
                    actualizarBotonPorTipo( 'x', '2', 'x' );
                </script>
        	<?php
    	}else{
    		?>
    		 <script>
                actualizarError();
            </script>
    		<?php 
    	}
	}
}

function eliminarPrestamo( $i_Idpedidodetalle, $i_row )
{
    $o_PrestamoBean = new PrestamoBean();
    $o_PrestamoBean->setIdPedidoReferencia( $i_Idpedidodetalle );
    
    $o_PrestamoBL = new PrestamoBL();
    $a_Prestamo = $o_PrestamoBL->busquedaPrestamo( $o_PrestamoBean );
    if( $a_Prestamo )
    {
        $o_PrestamoBN = $a_Prestamo[0];
        $i_IdPrestamo = $o_PrestamoBN->getIdPrestamo();
        
        $o_PrestamoBean = new PrestamoBean();
        $o_PrestamoBean ->setUsuarioEliminado(myUser::getUser()->getUserId());
        $o_PrestamoBean ->setObservacion('Eliminado por pedido rechazado');
        $o_PrestamoBean->setIdPrestamo( $i_IdPrestamo );
        
        $o_TmpPrestamoBL = new PrestamoBL();
        $b_result = $o_TmpPrestamoBL->eliminarPrestamo( $o_PrestamoBean );
        if( $b_result )
        {
           	$o_pedidoDetalle = new CrPedidodetalleDP();
        	$o_pedidoDetalle->setIdpedidodetalle($i_Idpedidodetalle);
        	$o_pedidoDetalle->setEntregado(' null ');
        	$o_pedidoDetalle->update();
        	
        	$o_pedidoDetalleFN = new CrPedidodetalleFN();
        	$o_pedidoDetalleFN->setIdpedidodetalle($i_Idpedidodetalle);
        	$a_pedidodetalle = $o_pedidoDetalleFN->select();
        	if(is_array($a_pedidodetalle)){
        		foreach ($a_pedidodetalle as $key =>$o_pedidoDetalle){
        			$idpedidoCabecera = $o_pedidoDetalle->getIdpedidocabecera();
        			
        			$montoprestado = $o_pedidoDetalle->getMontoprestado();
        			$o_pedidCabeceraFN = new CrPedidocabeceraFN();
        			$o_pedidCabeceraFN->setIdpedidocabecera($idpedidoCabecera);
        			$a_pedidocabecera = $o_pedidCabeceraFN->select();
        			if(is_array($a_pedidocabecera)){
        				foreach ($a_pedidocabecera as $keyc =>$o_pedidocabecera){
        					$montoentregado = $o_pedidocabecera->getMontoentregado();
        					$o_pedidCabeceraDP = new CrPedidocabeceraDP();
        					$o_pedidCabeceraDP->setIdpedidocabecera($idpedidoCabecera);
        					$o_pedidCabeceraDP->setMontoentregado($montoentregado-$montoprestado);		
        					$o_pedidCabeceraDP->update();
        				}
        			}
        	
        			
        			
        		}
        	}
        	 ?>
                <script>
                    alert( "Se elimino el prestamo." );
                    actualizarBotonPorTipo( '<?php echo $i_Idpedidodetalle ?>', '1', '<?php echo $i_row ?>' );
                </script>
            <?php
        }
        else
        {
            ?>
                <script>
                    alert( "No se pudo eliminar el prestamo asociado." );
                </script>
            <?php
        }
    }
}
if( $s_TypeRequest == "eliminarPrestamo" )
{
    
	
	if($i_Idpedidodetalle){
		
	
		$o_PrestamoBean = new PrestamoBean();
	    $o_PrestamoBean->setIdPedidoReferencia( $i_Idpedidodetalle );
	    
	    $o_PrestamoBL = new PrestamoBL();
	    $a_Prestamo = $o_PrestamoBL->busquedaPrestamo( $o_PrestamoBean );
	    if( $a_Prestamo )
	    {
	        $o_PrestamoBN = $a_Prestamo[0];
	        $MontoTotal = $o_PrestamoBN->getMontoTotal();
	        $SaldoPrestamo = $o_PrestamoBN->getSaldoPrestamo();
	        if($MontoTotal == $SaldoPrestamo){ //No tiene pagos
	        	$o_pedidoDetalleFN = new CrPedidodetalleFN();
		    	$o_pedidoDetalleFN->setIdpedidodetalle($i_Idpedidodetalle);
		    	$a_pedidodetalle = $o_pedidoDetalleFN->select();
		    	if(is_array($a_pedidodetalle)){
		    		foreach ($a_pedidodetalle as $key =>$o_pedidoDetalle){
		    			$idpedidoCabecera = $o_pedidoDetalle->getIdpedidocabecera();
		    			$o_pedidCabeceraFN = new CrPedidocabeceraFN();
		    			$o_pedidCabeceraFN->setIdpedidocabecera($idpedidoCabecera);
		    			$a_pedidocabecera = $o_pedidCabeceraFN->select();
		    			if(is_array($a_pedidocabecera)){
		    				foreach ($a_pedidocabecera as $keyc =>$o_pedidocabecera){
		    					$IdSucursal = $o_pedidocabecera->getIdSucursal();
								$Fechaoperacion = $o_pedidocabecera->getFechaoperacion();
								
								$o_BalanceDia = new BalanceDiaBean();
								$o_BalanceDia->setIdSucursal($IdSucursal);
								$o_BalanceDia->setFechaBalance($Fechaoperacion);
								$o_BalanceDia->setFechaBalanceFinal($Fechaoperacion);
								$o_BalanceDiaDP = new BalanceDiaDP($o_BalanceDia);
								$a_o_balance = $o_BalanceDiaDP->select();
								if(!is_array($a_o_balance)){
									$estado = $o_pedidocabecera->getEstado();
								}
		    				}
		    			}
		    		}
		    	}
	        }
	    }
		
		
		
	    if($estado && $estado == "P"){
	    	eliminarPrestamo( $i_Idpedidodetalle, $i_row );
    	}else{
    		?>
    		 <script>
               
                actualizarError();
            </script>
    		<?php 
    	}
	}
}